; Configuration file for Duet WiFi (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v2.1.4 on Sun Jan 05 2020 09:50:03 GMT+0100 (Midden-Europese standaardtijd)

; General preferences
G90                                                    ; send absolute coordinates...
M83                                                    ; ...but relative extruder moves
M550 P"DaBit3D"                                        ; set printer name

M667 S1                                                ; select CoreXY mode

; Network
M551 P"reprap"                                  	   ; set password
M552 S1                                                ; enable network
M586 P0 S1                                             ; enable HTTP
M586 P1 S1                                             ; enable FTP
M586 P2 S1                                             ; enable Telnet

; Drives
M569 P0 S0                                             ; physical drive 0 goes backwards
M569 P1 S0                                             ; physical drive 1 goes backwards
M569 P2 S1                                             ; physical drive 2 goes forwards
M569 P3 S0                                             ; physical drive 3 goes backwards
M569 P4 S1                                             ; physical drive 4 goes forwards
M584 X0 Y1 Z2 E3:4                                     ; set drive mapping
M350 X16 Y16 Z16 E16:16 I1                             ; configure microstepping with interpolation
M92 X80.00 Y80.00 Z1066.67 E409.00:409.00              ; set steps per mm
M566 P1 X750.00 Y750.00 Z120.00 E1500.00:1500.00          ; set maximum instantaneous speed changes (mm/min)
M203 X18000.00 Y18000.00 Z200.00 E5000.00:5000.00      ; set maximum speeds (mm/min)
M201 X2500.00 Y2500.00 Z1500.00 E5000.00:5000.00       ; set accelerations (mm/s^2)
M204 P1800 T2500									   ; Set accelerations (mm/s^2) for print and travel moves
M906 X1800 Y1800 Z1800 E500:500 I30                    ; set motor currents (mA) and motor idle factor in per cent
M84 S30                                                ; Set idle timeout

; Axis Limits
M208 X0 Y-46 Z0 S1                                     ; set axis minima
M208 X235 Y215 Z220 S0                                 ; set axis maxima

; Endstops
M574 X1 S1 P"^!xstop"                                    ; configure active-low endstop for low end on X via pin xstop
M574 Y2 S1 P"^!ystop"                                    ; configure active-low endstop for high end on Y via pin ystop
M574 Z1 S2                                             ; configure Z-probe endstop for low end on Z

; Z-Probe
M950 S0 C"exp.heater3"                                 ; create servo pin 0 for BLTouch
M558 P9 C"zprobe.in" H4 F180 T6000                     ; set Z probe type to bltouch and the dive height + speeds
G31 P50 X-7 Y34 Z2.4                            ; set Z probe trigger value, offset and trigger height
;M556 S50 X0 Y0 Z0                                      ; set orthogonal axis compensation parameters
M557 X12:215 Y35:215 P8                               ; define mesh grid

; Heaters
M308 S0 P"bedtemp" Y"thermistor" T100000 B4092         ; configure sensor 0 as thermistor on pin bedtemp
M950 H0 C"bedheat" T0 Q5                               ; create bed heater output on bedheat and map it to sensor 0
M140 H0
M143 H0 S140                                           ; set temperature limit for heater 0 to 140C
;M307 H0 A486.1 C2320.7 D16.5 S1.00 V24.0 B0	       ; PID-parameters for heated bed, RRF 3.1
M307 H0 R0.176 C2246.3 D40.12 S1.00 V24.0
M308 S1 P"spi.cs1" Y"rtd-max31865"
M950 H1 C"e0heat" T1 Q50                               ; create nozzle heater output on e0heat and map it to sensor 1
M143 H1 S290                                           ; set temperature limit for heater 1 to 290C
;M307 H1 A273.7 C123.0 D2.6 S1.00 V23.6 B0			   ; Extruder 1, RRF 3.1
M307 H1 R1.941 C335.4:173.7 D6.34 S1.00 V23.8
M308 S2 P"e1temp" Y"thermistor" T100000 B4725 C7.06e-8 ; configure sensor 2 as thermistor on pin e1temp
M950 H2 C"e1heat" T2 Q50                               ; create nozzle heater output on e1heat and map it to sensor 2
M143 H2 S290                                           ; set temperature limit for heater 2 to 290C
;M307 H2 A300.9 C119.7 D3.2 S1.00 V23.6 B0			   ; extruder 2, RRF 3.1
M307 H2 R2.328 C287.2 D6.31 S1.00 V23.8

M570 H1 P60 T20 S1				       				   ; 60 seconds grace time on heater faults, 20 degrees max excursion allowed, cancel print after 5 minutes
M570 H2 P60 T20 S5				       				   

; Auxiliary temp sensors
M308 S3 P"mcu-temp" Y"mcu-temp" A"mcu-temp"				; MCU temp
M308 S4 P"e0temp" Y"thermistor" A"Chamber" T100000 B4725 C7.06e-8 ; configure sensor 3 (chamber temp) as thermistor on pin e0temp

; Fans
M950 F0 C"fan0" Q100                                   ; create fan 0 on pin fan0 and set its frequency
M106 P0 C"toolfan" S0 H-1 X0.8                         ; set fan 0 value. Thermostatic control is turned off
M950 F1 C"fan1" Q100 				                   ; create fan 1 on pin fan1 and set its frequency
M106 P1 C"MCU fan" T35:40 H3				           ; set fan1 thermostatic control reacting to sensor 3 (MCU temp)
M950 F2 C"fan2" Q100                                   ; create fan 2 on pin fan2 and set its frequency
M106 P2 C"toolchange fan" S0 H-1                       ; set fan 2 value. Thermostatic control is turned off

; Tools
M563 P0 S"Extruder 0" D0 H1 F0                         ; define tool 0
G10 P0 X0 Y0 Z0                                        ; set tool 0 axis offsets
G10 P0 R0 S0                                           ; set initial tool 0 active and standby temperatures to 0C
M563 P1 S"Extruder 1" D1 H2 F0                         ; define tool 1
G10 P1 X19.88 Y0.1 Z0                                   ; set tool 1 axis offsets
G10 P1 R0 S0                                           ; set initial tool 1 active and standby temperatures to 0C
M104 S0 T0					       ; make sure the heater is not 'off'
M104 S0 T1					       ; make sure the heater is not 'off'

; ASA Prusament galaxy black at 260/110C optimal PA value: 0.041
M572 D0:1 S0.042:0.042				; Pressure Advance initial values

; Custom settings are not defined

; Miscellaneous
G29 S1
T0                                                     ; select first tool
M207 S1.2 F2100 Z0.1 								; Default FW retraction settings
;M929 P"eventlog.txt" S1 ; start logging to file eventlog.txt
M564 H0												; Allow movement of axes that are not homed
M80
M81
