; Make sure we are at the purge position
;G4 P500
;M117 do_toolchange.g
;G4 P500
M98 P"purgeposition.g"

; Start toolchange cooling helper fan and tool fan; speeds up cooling down of the inactive tool
M106 P0 S255
M106 P2 S255

; Wait until the current tool has heated up and the previous tool has cooled down. 
; Wipe every 5 seconds, repeat maximal 18 times = 90 seconds. Should not take that long anyway...
while iterations < 18
	G4 S5
	;M98 P"wipe.g"
	if heat.heaters[tools[state.currentTool].heaters[0]].current < {tools[state.currentTool].active[0]-10.0}
		;echo "active tool temp: ", heat.heaters[tools[state.currentTool].heaters[0]].current, " active tool setpt: ", tools[state.currentTool].active[0]
		continue
	; our active tool is at temperature. Did we have a previous tool active? If not, break out of the loop
	;echo "before state.previousTool" 
	if state.previousTool < 0
		break
	; Is the standby temperature of the last tool lower than cold extrude? If so, wait until we are at cold extrude temp
	if heat.coldExtrudeTemperature > tools[state.previousTool].standby[0]
		if heat.heaters[tools[state.previousTool].heaters[0]].current > {heat.coldExtrudeTemperature+10.0}
			echo "coldextrude, inactive tool temp: ", heat.heaters[tools[state.previousTool].heaters[0]].current, " inactive tool cooldown: ", heat.coldExtrudeTemperature
			continue
	else
	; Nope, standby temp is higher. Wait for that
		if heat.heaters[tools[state.previousTool].heaters[0]].current > {tools[state.previousTool].standby[0]+15.0}
			;echo "standbytemp, inactive tool temp: ", heat.heaters[tools[state.previousTool].heaters[0]].current
			;echo " inactive tool cooldown: ", tools[state.previousTool].standby[0]
			continue
	break

; Stop toolchange cooling helper fan and tool fan
M106 P0 S0
M106 P2 S0

; Undo retraction and prime extruder (200mm/min is 8.02mm^3/s)
M83
G1 E15 F200

; Retract, wipe once more
G1 E-0.2 F1500
G4 S3
M98 P"wipe.g"
;G4 P500
;M117 end of do_toolchange.g
;G4 P500
